	mui.init();
//			mui.back = function() {
//				mui.openWindow({
//					
//					url: 'flow_main.html'				
//				});
//			}

	var pageNo = 1;
	var pageNo2 = 1;
	var pageNo3 = 1;
	(function($) {
		var segmentedControl = document.getElementById('segmentedControl22');
		$('.mui-input-group').on('change', 'input', function() {
			if(this.checked) {
				var styleEl = document.querySelector('input[name="style"]:checked');
				console.log(styleEl);
				var colorEl = document.querySelector('input[name="color"]:checked');
				if(styleEl && colorEl) {
					var style = styleEl.value;
					var color = colorEl.value;
					segmentedControl.className = 'mui-segmented-control' + (style ? (' mui-segmented-control-' + style) : '') + ' mui-segmented-control-' + color;
				}
			}
		});
		//初始化单页的区域滚动
		mui('.mui-scroll-wrapper').scroll();
		//阻尼系数
		var deceleration = mui.os.ios ? 0.003 : 0.0009;
		$('.mui-scroll-wrapper').scroll({
			bounce: false,
			indicators: true, //是否显示滚动条
			deceleration: deceleration
		});
		var noApprovalProcess;
		var phlist;
		var atFlow;

		mui.plusReady(function() {
			var self1 = plus.webview.currentWebview();
			var zx = self1.zxid;
			var ph = self1.phid;
			var at = self1.atid;
			var zxfirst = true;
			var phfirst = true;
			var atFlow = true;

			noApprovalProcess = document.getElementById("noApprovalProcess");
			phlist = document.getElementById("phlist");
			atFlow = document.getElementById("atFlow");

			//循环初始化所有下拉刷新，上拉加载。
			$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
				$(pullRefreshEl).pullToRefresh({
					down: {
						callback: function() {
							var self = this;
							setTimeout(function() {
								var ul = self.element.querySelector('.mui-table-view');
								createFragment2(ul, self);
								self.endPullDownToRefresh();
							}, 1000);
						}
					},
					up: {
						contentrefresh: '正在加载...',
						auto: true, //可选,默认false.自动上拉加载一次
						callback: function() {
							var self = this;
							setTimeout(function() {
								var ul = self.element.querySelector('.mui-table-view');
								console.log(pullRefreshEl.id);
								createFragment(ul, self);
								self.endPullUpToRefresh();
							}, 1000);
						}
					}
				});
			});
			var createFragment = function(ul, self) {
				var dataType = self.element.id;
				if("phdiv" == dataType) {
					phdown(ul, self);
				} else if("atFlowDiv" == dataType) {
					atFlowDown(ul, self);
				} else if("zxdiv" == dataType) {
					zxdown(ul, self);
				}
			}

			//下拉菜单

			var createFragment2 = function(ul, self) {
				var dataType = self.element.id;
				if("phdiv" == dataType) {
					pageNo = 1;
					vmA.itemAs = [];
					phdown(ul, self);
				} else if("atFlowDiv" == dataType) {
					pageNo2 = 1;
					vmB.itemBs = [];
					atFlowDown(ul, self);
				} else if("zxdiv" == dataType) {
					pageNo3 = 1;
					vmC.itemCs = [];
					zxdown(ul, self);
				}
			}

			//未审批
			function phdown(ul, self) {
				var url = API.API_URL();
				var state = app.getState(); //获取登陆信息
				var staffId = state.user.useId;
				var obj = {
					'serviceId': 'bpm_2013V0010PHONE001',
					'params': '{staffId:' + staffId + ',page:"' + pageNo + '",pageNum:"' + APP.PageSize + '"}'
				};
				mui.ajax(url, {
					dataType: 'json', //服务器返回json格式数据
					type: 'post', //HTTP请求类型
					data: obj,
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Accept': 'application/json'
					}, //超时时间设置为10秒；
					success: function(data) {
						if(data.returnCode == "0") {
							var result = data.returnParams.list;
							console.log(JSON.stringify(data));
							var totalRow = data.returnParams.total;
							var totalPage = Math.ceil(totalRow / APP.PageSize);
							//									if(totalPage == 0) {
							//										totalPage = 1;
							//									}
							console.log("未审批计算总页数==" + totalPage);
							if(result.length > 0) {
								vmA.itemAs = vmA.itemAs.concat(result);
							}
							self.endPullUpToRefresh(totalPage == pageNo); //参数为true代表没有更多数据了。

							if(pageNo == 1 && totalPage > 1)

								self.refresh(true); //调用.refresh(true)方法，可重置上拉加载控件,注意：refresh()中需传入true
							pageNo = pageNo + 1;
						}
					},
					error: function(xhr, type, errorThrown) {}
				});
			}

			//在办审批
			function atFlowDown(ul, self) {
				var url = API.API_URL();
				var state = app.getState(); //获取登陆信息
				var staffId = state.user.useId;
				var obj = {
					'serviceId': 'bpm_2013V0100PHONE002',
					'params': '{staffId:' + staffId + ',page:"' + pageNo2 + '",pageNum:"' + APP.PageSize + '"}'
				};
				mui.ajax(url, {
					dataType: 'json', //服务器返回json格式数据
					type: 'post', //HTTP请求类型
					data: obj,
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Accept': 'application/json'
					},
					success: function(data) {
						if(data.returnCode == "0") {
							var totalRow = data.returnParams.total;
							var totalPage = Math.ceil(totalRow / APP.PageSize);
							if(totalPage == 0) {
								totalPage = 1;
							}
							console.log("在审批计算总页数==" + totalPage);
							var result = data.returnParams.list;
							console.log("在审批********" + JSON.stringify(data));
							if(result.length > 0) {
								vmB.itemBs = vmB.itemBs.concat(result);
							}
							self.endPullUpToRefresh(totalPage == pageNo2); //参数为true代表没有更多数据了。
							if(pageNo2 == 1 && totalPage > 1)
								self.refresh(true); //调用.refresh(true)方法，可重置上拉加载控件,注意：refresh()中需传入true
							pageNo2 = pageNo2 + 1;
						}
					},
					error: function(xhr, type, errorThrown) {}
				});
			}

			//已审批
			function zxdown(ul, self) {
				var url = API.API_URL();
				var state = app.getState(); //获取登陆信息
				var staffId = state.user.useId;
				var obj = {
					'serviceId': 'bpm_2013V0100PHONE003',
					'params': '{staffId:' + staffId + ',page:"' + pageNo3 + '",pageNum:"' + APP.PageSize + '"}'
				};
				mui.ajax(url, {
					dataType: 'json', //服务器返回json格式数据
					type: 'post', //HTTP请求类型
					data: obj,
					timeout: 10000, //超时时间设置为10秒；
					headers: {
						'Accept': 'application/json'
					},
					success: function(data) {
						if(data.returnCode == "0") {
							var totalRow = data.returnParams.total;
							var totalPage = Math.ceil(totalRow / APP.PageSize);
							if(totalPage == 0) {
								totalPage = 1;
							}
							console.log("已审批计算总页数==" + totalPage);
							var result = data.returnParams.list;
							console.log("已审批********" + JSON.stringify(data));
							if(result.length > 0) {
								vmC.itemCs = vmC.itemCs.concat(result);
							}
							self.endPullUpToRefresh(totalPage == pageNo3); //参数为true代表没有更多数据了。
							if(pageNo3 == 1 && totalPage > 1)
								self.refresh(true); //调用.refresh(true)方法，可重置上拉加载控件,注意：refresh()中需传入true
							pageNo3 = pageNo3 + 1;
						}
					},
					error: function(xhr, type, errorThrown) {}
				});
			}

		});
	})(mui);

	//未审批
	var vmA = new Vue({
		el: '#phdiv',
		data: {
			itemAs: [] //列表信息流数据
		}
	});
	//在审批
	var vmB = new Vue({
		el: '#atFlowul',
		data: {
			itemBs: [] //列表信息流数据
		}
	});

	//已审批数据
	var vmC = new Vue({
		el: '#zxul',
		data: {
			itemCs: [] //列表信息流数据
		}
	});

	/**
	 * 打开待审批
	 * 
	 * @param {Object} item 当前点击的新闻对象
	 */
	function open_detailA(itemA) {
		
		//触发子窗口变更新闻详情
		console.log("item****B" + itemA);
		var modelId = itemA.modelId;
		var tinsId = itemA.tinsId;
		var insId = itemA.insId;
		var modelName = itemA.modelName;
		var page = "dynamic/flow_approve.html";
		console.log("*************" + tinsId + "===========" + insId);
		mui.openWindow({
			createNew: true,
			url: page,
			extras: {
				tinsId: tinsId,
				insId: insId,
				modelName: modelName,
				modelId: modelId

			}
		});
	}

	/**
	 * 打开在办跟办结流程详情
	 * 
	 * @param {Object} item 当前点击的新闻对象
	 */
	function open_detailB(itemB) {
		//触发子窗口变更新闻详情
		console.log("itemB***" + itemB);
		var tinsId = "";
		var insId = itemB.insId;
		var modelId = itemB.modelId;
		var modelName = itemB.modelName;
		var page = "dynamic/flow_view.html";

		mui.openWindow({
			createNew: true,
			url: page,
			extras: {
				tinsId: tinsId,
				insId: insId,
				modelName: modelName,
				modelId:modelId
			}
		});
	}
	
	function urge(insId) {
		var url = API.API_URL();
		var state = app.getState(); //获取登陆信息
		var staffId = state.user.useId;
		var obj = {
			'serviceId': 'urge_2013V0100PHONE001',
			'params': '{staffId:' + staffId + ',insId:"' + insId + '"}'
		};
		mui.ajax(url, {
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			data: obj,
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Accept': 'application/json'
			},
			success: function(data) {
				if(data.returnCode == "0") {
					mui.toast("催办成功！");
				}
			},
			error: function(xhr, type, errorThrown) {}
		});
	}
